Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1052402 - Disable function fingerprinting
Summary: Disable function fingerprinting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: satyr
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Milata
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 18:56 UTC by Martin Milata
Modified: 2019-03-06 00:58 UTC (History)
1 user (show)

Fixed In Version: satyr-0.13-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:02:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Milata 2014-01-13 18:56:58 UTC
The function fingerprinting only works on i686/x86_64, however it is not disabled on other arches. Normally it silently fails, however a segfault has been observed on ppc64.

We should consider disabling this feature altogether, I don't think it's actually used and if there was a way to pass it user-supplied binary it might even pose a security risk.

Comment 2 Martin Milata 2014-01-14 12:47:34 UTC
Patch posted for review: https://github.com/abrt/satyr/pull/151

Comment 4 Martin Milata 2014-04-09 16:04:20 UTC
Note: the function fingerprinting was disabled for all architectures (including x86_64).

Comment 6 Ludek Smid 2014-06-13 10:02:06 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.